﻿<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="4.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProductVersion>
    </ProductVersion>
    <SchemaVersion>2.0</SchemaVersion>
    <ProjectGuid>{F0E95496-BB97-41BC-8546-C6BECFE0B398}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>WSS.AAT.Scenarios.NightlyRoutine</RootNamespace>
    <AssemblyName>WSS.AAT.Scenarios.NightlyRoutine</AssemblyName>
    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <ProjectTypeGuids>{3AC096D0-A1C2-E12C-1390-A8335801FDAB};{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}</ProjectTypeGuids>
    <SolutionDir Condition="$(SolutionDir) == '' Or $(SolutionDir) == '*Undefined*'">..\..\..\CompleteApplication\</SolutionDir>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>$(OUT_DIR)\build\tests\aat\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>$(OUT_DIR)\build\tests\aat\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="MarkdownSharp">
      <HintPath>..\..\..\packages\MarkdownSharp.1.13.0.0\lib\35\MarkdownSharp.dll</HintPath>
      <Private>True</Private>
    </Reference>
    <Reference Include="Ninject">
      <HintPath>..\..\..\packages\Ninject.3.2.2.0\lib\net40\Ninject.dll</HintPath>
      <Private>True</Private>
    </Reference>
    <Reference Include="nunit.framework, Version=2.6.4.14350, Culture=neutral, PublicKeyToken=96d09a1eb7f44a77, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\..\packages\NUnit.2.6.4\lib\nunit.framework.dll</HintPath>
      <Private>True</Private>
    </Reference>
    <Reference Include="SpecResults, Version=0.1.0.7, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\CompleteApplication\packages\SpecResults.0.1.0.7\lib\net40\SpecResults.dll</HintPath>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.configuration" />
    <Reference Include="System.Core">
      <RequiredTargetFramework>3.5</RequiredTargetFramework>
    </Reference>
    <Reference Include="System.Data" />
    <Reference Include="System.Windows.Forms" />
    <Reference Include="System.XML" />
    <Reference Include="TechTalk.SpecFlow, Version=1.9.0.77, Culture=neutral, PublicKeyToken=0778194805d6db41, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\CompleteApplication\packages\SpecFlow.1.9.0\lib\net35\TechTalk.SpecFlow.dll</HintPath>
    </Reference>
  </ItemGroup>
  <ItemGroup>
    <CodeAnalysisDependentAssemblyPaths Condition=" '$(VS100COMNTOOLS)' != '' " Include="$(VS100COMNTOOLS)..\IDE\PrivateAssemblies">
      <Visible>False</Visible>
    </CodeAnalysisDependentAssemblyPaths>
  </ItemGroup>
  <ItemGroup>
    <Compile Include="AutoLogout.feature.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>AutoLogout.feature</DependentUpon>
    </Compile>
    <Compile Include="AutoLogoutSteps.cs" />
    <Compile Include="Configuration\SetUp.cs" />
    <Compile Include="Configuration\SetUpBinding.cs" />
    <Compile Include="NightlyRetailUpdate.feature.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>NightlyRetailUpdate.feature</DependentUpon>
    </Compile>
    <Compile Include="NightlyRetailUpdateSteps.cs" />
    <Compile Include="NightlyRoutine.feature.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>NightlyRoutine.feature</DependentUpon>
    </Compile>
    <Compile Include="NightlyRoutineSteps.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="Utility\FileSystemAccess.cs" />
    <Compile Include="Utility\FileValidator.cs" />
    <Compile Include="Utility\TaskExecuter.cs" />
  </ItemGroup>
  <ItemGroup>
    <None Include="App.config">
      <SubType>Designer</SubType>
    </None>
    <None Include="AutoLogout.feature">
      <Generator>SpecFlowSingleFileGenerator</Generator>
      <LastGenOutput>AutoLogout.feature.cs</LastGenOutput>
    </None>
    <None Include="NightlyRetailUpdate.feature">
      <Generator>SpecFlowSingleFileGenerator</Generator>
      <LastGenOutput>NightlyRetailUpdate.feature.cs</LastGenOutput>
    </None>
    <None Include="NightlyRoutine.feature">
      <Generator>SpecFlowSingleFileGenerator</Generator>
      <LastGenOutput>NightlyRoutine.feature.cs</LastGenOutput>
    </None>
    <None Include="packages.config" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\..\..\main\bo\Apps\Routines\NightlyRetailUpdate\NightlyRetailUpdates.vbproj">
      <Project>{EAC52B1F-3686-47AF-866B-DBC57DD31F12}</Project>
      <Name>NightlyRetailUpdates</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\main\bo\Cts.Oasys.Core\Cts.Oasys.Core2\Cts.Oasys.Core2.csproj">
      <Project>{93F81432-BC23-4C71-917D-9C4CCA1A916C}</Project>
      <Name>Cts.Oasys.Core2</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\main\bo\Cts.Oasys.WinForm\Cts.Oasys.WinForm\Cts.Oasys.WinForm.vbproj">
      <Project>{42C628EC-03C8-4792-9019-1F87E4042E45}</Project>
      <Name>Cts.Oasys.WinForm</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\main\bo\Apps\Routines\OpenClose\OpenClose.vbproj">
      <Project>{354A27D5-F064-49F2-99EE-8F208B12CE8A}</Project>
      <Name>OpenClose</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\main\bo\WSS.BO.DataLayer.Model\WSS.BO.DataLayer.Model.csproj">
      <Project>{51632FE5-670C-4F64-8BAB-705583A3FF46}</Project>
      <Name>WSS.BO.DataLayer.Model</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\main\bo\WSS.BO.DataLayer\WSS.BO.DataLayer.csproj">
      <Project>{DD0C4369-ED50-4C52-881B-7D5088302171}</Project>
      <Name>WSS.BO.DataLayer</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\common\WSS.AAT.Common.DataLayer\WSS.AAT.Common.DataLayer.csproj">
      <Project>{BB908B28-1645-462D-82E1-7253984B1D40}</Project>
      <Name>WSS.AAT.Common.DataLayer</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\common\WSS.AAT.Common.Utility\WSS.AAT.Common.Utility.csproj">
      <Project>{5B5E0F68-467A-418F-830A-2CE1C22BFA89}</Project>
      <Name>WSS.AAT.Common.Utility</Name>
    </ProjectReference>
  </ItemGroup>
  <Import Project="$(MSBuildBinPath)\Microsoft.CSharp.targets" />
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>